Page MenuHomePhabricator

Computer-aided tagging
Closed, ResolvedPublic

Description

Guided “tagging”

User story

  • As a casual uploader, when I contribute tags to images, I want to tag them with as little effort as possible, so that I can make them more findable for others.
  • As an advanced user, when I monitor structured data edits, I want to filter machine-assisted depicts edits, so that I can evaluate the quality of tags and revert if needed.

Value / Rationale:

Initially, the data we get for an image will only be as good as the user’s willingness or ability to describe the image with various properties. Having some kind of “suggested” tags functionality makes it easier for the user to tag images, which will in turn increase the amount of data.

Condition of Satisfaction:

User is shown some on-screen functionality that displays some sort of recommendation for tags relevant to this image.

Design principles

Working principles (link)

  • Reduce complexity - provide a mobile-first way for casual users to do micro-contributions by tagging their own uploads as well as a large backlog of images in need of tags (without having to rely on search or categories to find those images)
  • Be transparent - make it easy for casual users to find explanations for what this tool is and how to use it; solicit explicit feedback that both casual and advanced users can give
  • Respect human work - only ever suggest tags, never automatically add them to images; integrate the tool into advanced users' existing workflows
  • Don’t force binary choices - encourage casual users to ignore/skip individual tags if they choose
  • Mitigate biases whenever possible - model provider depending, prune the classifier list as necessary; make it as easy for advanced users to revert confirmed tags as other contributions in order to mitigate any intentional or unintentional biases; conduct internal and external research into biases and inequality this tool is facilitating on Commons

Design links

Resources

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 22 2019, 4:25 PM
PDrouin-WMF added a subscriber: Ramsey-WMF.
PDrouin-WMF renamed this task from Machine assisted Depicts tagging to Machine-aided Depicts tagging.Jul 25 2019, 12:47 PM
PDrouin-WMF updated the task description. (Show Details)
PDrouin-WMF updated the task description. (Show Details)
Miriam added a subscriber: Miriam.Sep 5 2019, 10:37 AM
PDrouin-WMF renamed this task from Machine-aided Depicts tagging to Computer-aided tagging.Sep 10 2019, 5:30 PM
PDrouin-WMF updated the task description. (Show Details)
PDrouin-WMF updated the task description. (Show Details)
PDrouin-WMF updated the task description. (Show Details)
PDrouin-WMF removed a project: SDC Design.
PDrouin-WMF closed this task as Resolved.Dec 20 2019, 9:08 PM